#!/bin/bash

## set perlib location
export PERL5LIB=/usr/local/lib:/usr/local/lib/czplib
export CACHEHOME=/home/galaxy/cache
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

args=("$@")
ELEMENTS=${#args[@]}

sample_label_file_name="/home/galaxy/cache/samplename_$$.txt"

if [ ${args[1]} == "-s"  ]; then
	 Rscript ${DIR}/splicescope.R -s "${args[2]}" -o "${args[0]}" 

else
	bed_files=""
	
	for (( i=2; i<$ELEMENTS; i++ )); do
		if [ $((i%2)) -eq 0 ]; then
			beddir=`echo ${args[${i}]} | cut -d "." -f 1`
			#printf '%s\t' "${args[${i}]}" >> ${DIR}/samplename.txt
			printf '%s\t' "$beddir" >> $sample_label_file_name
			bed_files="${bed_files},${args[${i}]}"
		else  
			printf '%s\n' "${args[${i}]}" >> $sample_label_file_name
		fi
	done
	
	#samplename.txt has been made

	#now get rid of first comma in bed_files
	bed_files="${bed_files:1}"

	Rscript ${DIR}/splicescope.R -b "${bed_files}" -n $sample_label_file_name -o "${args[0]}"

	#now get rid of temp sample name file
	rm $sample_label_file_name

fi

